# frozen_string_literal: true

require_relative "lib/dipps/client/version"

Gem::Specification.new do |spec|
  spec.name          = "dipps-client"
  spec.version       = Dipps::Client::VERSION
  spec.authors       = ["Roman Kuznietsov"]
  spec.email         = ["roman@kuznietsov.net"]
  spec.license       = "MIT"

  spec.summary       = "Dipps Partner API Client"
  spec.homepage      = "https://github.com/Skiwo/dipps-client"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/Skiwo/dipps-client"
  spec.metadata["changelog_uri"] = "https://github.com/Skiwo/dipps-client"

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'graphql-client', '~> 0.17.0'
  spec.add_dependency 'activesupport', '>= 4.0'
end
